## helma.objectmodel.dom
Class XmlIDGenerator

    java.lang.Object
      helma.objectmodel.dom.XmlIDGenerator

    public class XmlIDGenerator

extends java.lang.Object

Constructor Summary
`XmlIDGenerator()` Builds a new IDGenerator starting with 0.
`XmlIDGenerator(long value)` Builds a new IDGenerator starting with value.

Method Summary
`static XmlIDGenerator` `getIDGenerator(java.io.File file)` Read an IDGenerator from file
`long` `getValue()` Get the current counter value
`java.lang.String` `newID()` Delivers a unique id and increases counter by 1.
`static void` `saveIDGenerator(XmlIDGenerator idgen, java.io.File file)` Save an id generator to a file.
`protected void` `setValue(long value)` Set the counter to a new value
`java.lang.String` `toString()` Returns a string representation of this IDGenerator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlIDGenerator

    public XmlIDGenerator()

  Builds a new IDGenerator starting with 0.

### XmlIDGenerator

    public XmlIDGenerator(long value)

  Builds a new IDGenerator starting with value.

Method Detail

### newID

    public java.lang.String newID()

  Delivers a unique id and increases counter by 1.

### setValue

    protected void setValue(long value)

  Set the counter to a new value

### getValue

    public long getValue()

  Get the current counter value

### toString

    public java.lang.String toString()

  Returns a string representation of this IDGenerator

  Overrides:
    `toString` in class `java.lang.Object`

### getIDGenerator

    public static XmlIDGenerator getIDGenerator(java.io.File file)
                                         throws ObjectNotFoundException

  Read an IDGenerator from file

  Parameters:
    `file` -
  Returns:
  Throws:
    `ObjectNotFoundException`

### saveIDGenerator

    public static void saveIDGenerator(XmlIDGenerator idgen,
                                       java.io.File file)
                                throws java.io.IOException

  Save an id generator to a file.

  Parameters:
    `idgen` -
    `file` -
  Throws:
    `java.io.IOException`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.